# $Revision: 1.87 $, $Date: 2012/03/27 19:30:27 $
Summary:	GNOME Power Manager
Summary(pl.UTF-8):	Zarządca energii dla GNOME
Name:		gnome-power-manager
Version:	3.4.0
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-power-manager/3.4/%{name}-%{version}.tar.xz
# Source0-md5:	154b012de55244a807510379b67a6b6d
URL:		http://www.gnome.org/projects/gnome-power-manager/
BuildRequires:	autoconf >= 2.65
BuildRequires:	automake >= 1:1.11
BuildRequires:	cairo-devel >= 1.0.0
BuildRequires:	docbook-dtd41-sgml
BuildRequires:	docbook-dtd43-xml
BuildRequires:	docbook-utils
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.31.10
BuildRequires:	gnome-common >= 2.24.0
BuildRequires:	gnome-doc-utils >= 0.14.0
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	tar >= 1:1.22
BuildRequires:	upower-devel >= 0.9.1
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.26.0
Requires:	glib2 >= 1:2.31.10
Requires:	gnome-icon-theme
Requires:	gnome-session >= 3.0.0
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
Requires:	upower >= 0.9.1
Obsoletes:	gnome-power
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Uses of GNOME Power Manager infrastructure
- A dialogue that warns the user when on UPS power, that automatically
  begins a kind shutdown when the power gets critically low.
- An icon that allows a user to dim the LCD screen with a slider, and
  does do automatically when going from mains to battery power on a
  laptop.
- An icon, that when an additional battery is inserted, updates its
  display to show two batteries and recalculates how much time
  remaining. Would work for wireless mouse and keyboards, UPS's and
  PDA's.
- A daemon that does a clean shutdown when the battery is critically
  low or does a soft-suspend when you close the lid on your laptop (or
  press the "suspend" button on your PC).
- Tell Totem to use a codec that does low quality processing to
  conserve battery power.
- Postpone indexing of databases (e.g. up2date) or other heavy
  operations until on mains power.
- Presentation programs / movie players don't want the screensaver
  starting or screen blanking.

%description -l pl.UTF-8
Zastosowania infrastruktury zarządcy energii GNOME:
- okno dialogowe ostrzegające użytkownika o zasilaniu z UPS-a,
  automatycznie rozpoczynające uprzejme zamykanie systemu, kiedy
  zasilanie jest w stanie krytycznym
- ikona umożliwiająca użytkownikowi przyciemnienie ekranu LCD przy
  użyciu suwaka i robiąca to automatycznie przy przełączaniu z głównego
  źródła zasilania na baterie w laptopie
- ikona, która po dołożeniu dodatkowej baterii uaktualnia wskaźnik,
  aby pokazywał dwie baterie i przelicza ilość pozostałego czasu;
  powinna działać dla bezprzewodowych myszy i klawiatur, UPS-ów i PDA
- demon wykonujący czyste zamknięcie systemu, kiedy bateria jest w
  stanie krytycznym i wykonujący zamrożenie systemu (soft-suspend) przy
  zamykaniu pokrywy laptopa (albo naciśnięciu przycisku "suspend")
- informowanie Totema, aby używał kodeka o niższej jakości w celu
  zaoszczędzenia energii baterii
- wstrzymywanie indeksowania baz danych (np. up2date) i innych
  ciężkich operacji do czasu podłączenia głównego źródła zasilania
- zapobieganie uruchomieniu wygaszacza ekranu i samemu wygaszaniu
  ekranu podczas działania programów prezentacyjnych i odtwarzaczy
  filmów

%prep
%setup -q

%build
%{__libtoolize}
%{__intltoolize}
%{__aclocal}
%{__automake}
%{__autoheader}
%{__autoconf}
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%update_icon_cache gnome
%glib_compile_schemas

%postun
%update_icon_cache hicolor
%update_icon_cache gnome
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/gnome-power-statistics
%{_mandir}/man1/*.1*
%{_datadir}/glib-2.0/schemas/org.gnome.power-manager.gschema.xml
%{_datadir}/gnome-power-manager
%{_desktopdir}/gnome-power-statistics.desktop
%{_iconsdir}/hicolor/*/*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-power-manager.spec,v $
Revision 1.87  2012/03/27 19:30:27  kiesiu
- updated to 3.4.0; merged from DEVEL

Revision 1.86.2.1  2012/03/23 14:50:05  megabajt
- updated to 3.3.92

Revision 1.86  2011/10/17 19:34:23  kiesiu
- updated to 3.2.1

Revision 1.85  2011/09/28 19:03:25  kiesiu
- updated to 3.2.0; merge from DEVEL

Revision 1.84.2.3  2011/09/19 19:51:29  megabajt
- updated to 3.1.92

Revision 1.84.2.2  2011/09/07 14:46:37  wiget
- BR and R update

Revision 1.84.2.1  2011/09/07 14:08:06  wiget
- up to 3.1.90

Revision 1.84  2011/08/12 19:44:33  glen
- R ConsoleKit-x11 apparently due -x11 split

Revision 1.83  2011/05/23 12:51:20  megabajt
- updated to 3.0.2

Revision 1.82  2011/04/04 21:06:24  megabajt
- R: gnome-icon-theme
- sorted BRs

Revision 1.81  2011/04/04 20:58:32  kiesiu
- updated to version 3.0.0; merged from DEVEL

Revision 1.80  2011/04/01 18:55:12  qboosh
- pl fixes

Revision 1.79  2011/04/01 18:48:35  qboosh
- en@shaw locale is now supported (via LANGUAGE)

Revision 1.78.2.3  2011/03/31 19:04:43  kiesiu
- up to 2.91.93

Revision 1.78.2.2  2011/03/23 12:46:44  wiget
- up to 2.91.92

Revision 1.78.2.1  2011/02/26 18:22:50  megabajt
- updated to 2.91.90
- removed obsolete -desktop.patch

Revision 1.78  2011/02/04 18:23:51  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.77  2010/10/09 22:05:51  megabajt
- updated to 2.32.0

Revision 1.76  2010/05/10 22:28:44  baggins
- rel 2
- resurrected desktop patch (yes, it's still needed)

Revision 1.75  2010/04/26 16:10:48  megabajt
- updated to 2.30.1

Revision 1.74  2010/03/31 18:19:48  megabajt
- updated to 2.30.0

Revision 1.73  2010/01/26 18:08:25  megabajt
- updated to 2.28.3

Revision 1.72  2009/12/09 19:53:55  sparky
- BR: docbook-dtd43-xml

Revision 1.71  2009/12/09 19:28:42  megabajt
- updated to 2.28.2

Revision 1.70  2009/11/10 09:27:27  patrys
- change R: to be more generic

Revision 1.69  2009/09/26 21:27:58  patrys
- merged from DEVEL

Revision 1.68.2.5  2009/09/26 21:27:41  patrys
- 2.28.0

Revision 1.68.2.4  2009/09/10 09:07:00  patrys
- drop ca@valencia

Revision 1.68.2.3  2009/08/26 12:14:58  patrys
- 2.27.91

Revision 1.68.2.2  2009/08/03 13:05:57  patrys
- 2.27.5

Revision 1.68.2.1  2009/07/16 09:45:15  patrys
- 2.27.2

Revision 1.68  2009/06/11 13:48:21  patrys
- 2.26.2
- should fix an ugly DPMS blanking bug

Revision 1.67  2009/05/03 22:43:39  hawk
- release 2

Revision 1.66  2009/04/24 14:40:37  megabajt
- updated to 2.26.1

Revision 1.65  2009/04/04 23:26:02  patrys
- unique -> libunique

Revision 1.64  2009/03/19 19:22:16  megabajt
- updated to 2.26.0; merged changes from DEVEL

Revision 1.63.2.1  2009/03/14 12:44:44  megabajt
- updated to 2.25.92

Revision 1.63  2009/02/13 20:07:17  megabajt
- updated to 2.24.4

Revision 1.62  2009/01/21 19:27:11  megabajt
- updated to 2.24.3

Revision 1.61  2008/11/17 13:44:47  megabajt
- updated to 2.24.2

Revision 1.60  2008/11/05 15:19:36  sls
- BR: PolicyKit-gnome-devel

Revision 1.59  2008/10/23 12:27:53  megabajt
- updated to 2.24.1

Revision 1.58  2008/10/02 21:26:36  qwiat
- merge from DEVEL

Revision 1.57.2.5  2008/10/02 21:25:32  qwiat
- up to 2.24

Revision 1.57.2.4  2008/09/04 10:13:47  patrys
- 2.23.91

Revision 1.57.2.3  2008/08/06 15:25:14  patrys
- 2.23.6
- popt patch no longer needed

Revision 1.57.2.2  2008/07/06 16:45:14  megabajt
- updated to 2.23.3

Revision 1.57.2.1  2008/06/18 15:57:20  patrys
- 2.23.1

Revision 1.57  2008-03-29 21:50:15  megabajt
- updated to 2.22.1

Revision 1.56  2008-03-12 13:45:36  patrys
- 2.22.0
- merged from DEVEL

Revision 1.55.2.3  2008-03-12 13:44:41  patrys
- 2.22.0

Revision 1.55.2.2  2008-02-14 22:36:33  megabajt
- updated to 2.21.92

Revision 1.55.2.1  2007-12-20 15:23:59  patrys
- 2.21.1

Revision 1.55  2007-12-15 09:43:32  megabajt
- updated to 2.20.2

Revision 1.54  2007-11-27 20:34:48  qboosh
- updated find_lang BR
- sed quotes

Revision 1.53  2007-11-14 13:43:29  megabajt
- updated to 2.20.1
- use better way to fix locale name
- use --with-omf

Revision 1.52  2007-11-04 23:57:02  ankry
- sr@Latn -> sr@latin, rel. 2

Revision 1.51  2007/09/18 10:55:09  patrys
- 2.20.0

Revision 1.50.2.4  2007/09/04 19:14:14  megabajt
- updated to 2.19.92

Revision 1.50.2.3  2007/08/30 22:54:12  patrys
- intltoolize works fine

Revision 1.50.2.2  2007/08/29 21:14:05  megabajt
- updated deps
- packaged more files

Revision 1.50.2.1  2007/08/29 04:27:20  patrys
- 2.19.6

Revision 1.50  2007/08/03 17:58:23  qboosh
- unified ftp.gnome.org source URL
- clarified License

Revision 1.49  2007/05/15 17:14:57  megabajt
- updated to 2.18.3

Revision 1.48  2007/04/09 21:29:32  megabajt
- updated to 2.18.2

Revision 1.47  2007/04/04 21:07:03  megabajt
- release 2

Revision 1.46  2007/03/23 22:25:50  megabajt
- updated to 2.18.1

Revision 1.45  2007/03/13 21:15:53  megabajt
- updated to 2.18.0; merged changes from DEVEL

Revision 1.44.2.1  2007/03/04 19:25:15  megabajt
- updated to 2.17.92

Revision 1.44  2007/02/13 07:16:47  glen
- tabs in preamble

Revision 1.43  2007/02/12 00:48:53  baggins
- converted to UTF-8

Revision 1.42  2007/02/01 13:14:50  megabajt
- updated to 2.16.3
- more verbose files

Revision 1.41  2006/11/29 21:06:58  megabajt
- up to 2.16.2

Revision 1.40  2006/11/07 22:25:04  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.39  2006/10/03 19:09:44  grzegol
- 2.16.1

Revision 1.38  2006/09/08 13:56:51  patrys
- up to 2.16.0

Revision 1.37  2006/08/20 21:35:25  freetz
- 2.15.92, removed not longer needed configure options, updated deps

Revision 1.36  2006/08/10 17:53:47  freetz
- 2.15.91, updated deps and file list, disable icon framing for now

Revision 1.35  2006/07/26 18:50:31  freetz
- 2.15.90, use rpm macros

Revision 1.34  2006/07/15 07:15:01  freetz
- disable policykit (we don't use it yet), rel.2

Revision 1.33  2006/07/14 14:25:07  freetz
- 2.15.4, updated deps/file list/Requires, --as-needed support

Revision 1.32  2006/07/13 08:05:30  aflinta
 - added missing BR gnome-doc-utils
 - rebuild with dbus 0.62
 - release 2

Revision 1.31  2006/06/11 21:52:50  freetz
- 2.15.3

Revision 1.30  2006/06/09 22:03:45  freetz
- 2.15.2, GNOME 2.15.x deps, updated file list, (re)generate icon cache

Revision 1.29  2006/05/24 08:08:06  qboosh
- merged deps update from AC-branch

Revision 1.28  2006/05/16 08:05:27  qboosh
- recent GNOME deps (merged from AC-branch)

Revision 1.27.2.3  2006/05/18 20:23:48  baggins
- release 3
- strict reqs

Revision 1.27.2.2  2006/05/17 21:54:41  baggins
- rel 2
- R: dbus-X11

Revision 1.27.2.1  2006/05/15 22:55:13  baggins
- recent BRs

Revision 1.27  2006/04/28 16:46:07  freetz
- 2.14.3

Revision 1.26  2006/04/25 16:24:41  freetz
- 2.14.2

Revision 1.25  2006/04/09 14:59:11  freetz
- 2.14.1

Revision 1.24  2006/04/02 15:43:57  freetz
- merged from DEVEL

Revision 1.21.2.9  2006/03/14 13:53:11  freetz
- 2.14.0

Revision 1.21.2.8  2006/03/03 22:56:41  freetz
- 2.13.93, fixes dbus 0.61 API breakage

Revision 1.21.2.7  2006/02/28 15:44:28  freetz
- fixed one more time autostart dir location, rel.2

Revision 1.21.2.6  2006/02/26 15:25:06  freetz
- 2.13.92

Revision 1.21.2.5  2006/02/21 17:43:36  freetz
- 2.13.91

Revision 1.21.2.4  2006/02/16 08:30:08  freetz
- 2.13.90, fix autostart dir

Revision 1.21.2.3  2006/01/31 15:38:18  freetz
- polished a bit

Revision 1.21.2.2  2006/01/31 15:30:09  freetz
- 2.13.5

Revision 1.21.2.1  2006/01/17 14:45:28  patrys
- up to 0.3.4
- requires hal-0.5.6
- NFY

Revision 1.23  2006/04/01 18:28:54  aredridel
- BR: xorg-lib-libXres-devel

Revision 1.22  2006/02/08 19:25:41  patrys
- updated URL

Revision 1.21  2005/11/29 19:08:47  patrys
- up to 0.3.1

Revision 1.20  2005/11/15 22:56:16  freetz
- 0.3.0, new URL

Revision 1.19  2005/10/27 18:07:15  freetz
- 0.2.8.1

Revision 1.18  2005/10/19 20:48:15  freetz
- 0.2.8

Revision 1.17  2005/10/06 20:47:25  patrys
- add notification support for PLD

Revision 1.16  2005/10/06 20:05:59  patrys
- fully tested
- rel. up to 1

Revision 1.15  2005/10/06 19:58:46  patrys
- up to 0.2.6
- added TODO

Revision 1.14  2005/09/29 22:13:17  patrys
- added missing BR:

Revision 1.13  2005/09/08 16:06:19  wrobell
- ver. 0.2.2.1

Revision 1.12  2005/09/06 16:08:41  wrobell
- fixed schema installation and uninstallation (bug introduced due to
  change of name from gnome-power to gnome-power-manager)
- rel. 2

Revision 1.11  2005/09/05 12:43:35  wrobell
- md5 updated

Revision 1.10  2005/09/05 12:24:41  wrobell
- ver. 0.2.0
- s/gnome-power/gnome-power-manager

Revision 1.9  2005/07/12 18:45:27  freetz
- 0.1.0, removed schemas patch

Revision 1.8  2005/07/05 13:33:46  freetz
- desktop patch added

Revision 1.7  2005/07/05 13:23:48  freetz
- use macros for ac/am rebuild, schemas patch added, ready for
  international files

Revision 1.6  2005/06/20 20:37:58  wrobell
- ver. 0.0.5

Revision 1.5  2005/05/20 21:09:02  qboosh
- pl

Revision 1.4  2005/05/20 13:05:51  paladine
- and more BRs

Revision 1.3  2005/05/20 13:01:12  paladine
- more BRs and missing R
- cosmetics
- rel. 0.2

Revision 1.2  2005/05/20 09:06:56  spider
- adaptarized

Revision 1.1  2005/05/19 20:33:08  wrobell
- based on template
